<?php
$default_settings = [
    'fancybox4' => '',
    'thumbnail_size' => 'full',
    'thumbnail_custom_dimension' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);

if($thumbnail_size != 'custom'){
    $img_size = $thumbnail_size;
}
elseif(!empty($thumbnail_custom_dimension['width']) && !empty($thumbnail_custom_dimension['height'])){
    $img_size = $thumbnail_custom_dimension['width'] . 'x' . $thumbnail_custom_dimension['height'];
}
else{
    $img_size = '500x334';
}

$widget->add_render_attribute( 'inner', [
    'class' => 'ct-carousel-inner',
] );

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
if (is_rtl()) {
    $carousel_dir = 'true';
} else {
    $carousel_dir = 'false';
}
$widget->add_render_attribute( 'carousel', [
    'class' => 'ct-slick-carousel',
    'data-arrows' => $arrows,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-colxs' => $col_xs,
    'data-colsm' => $col_sm,
    'data-colmd' => $col_md,
    'data-collg' => $col_lg,
    'data-colxl' => $col_xl,
    'data-dir' => $carousel_dir,
    'data-slidesToScroll' => $slides_to_scroll,
] );

?>
<?php if(isset( $fancybox4 ) && !empty( $fancybox4 ) && count( $fancybox4 )): ?>
    <div class="ct-fancybox ct-fancybox-carousel5 ct-slick-slider">
        <div <?php ct_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
            <div <?php ct_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <?php foreach ( $fancybox4 as $key => $value ) :
                    $title = isset($value['title']) ? $value['title'] : '';
                    $desc = isset($value['desc']) ? $value['desc'] : '';
                    $btn_text = isset($value['btn_text']) ? $value['btn_text'] : '';
                    $item_link = isset($value['item_link']) ? $value['item_link'] : '';
                    
                    $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
                    if ( ! empty( $item_link['url'] ) ) {
                        $widget->add_render_attribute( $link_key, 'href', $item_link['url'] );

                        if ( $item_link['is_external'] ) {
                            $widget->add_render_attribute( $link_key, 'target', '_blank' );
                        }

                        if ( $item_link['nofollow'] ) {
                            $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                        }
                    }
                    $link_attributes = $widget->get_render_attribute_string( $link_key );
                    $image = isset($value['image']) ? $value['image'] : '';

                    ?>
                    <div class="slick-slide">
                        <div class="item--inner <?php echo esc_attr($settings['ct_animate']); ?>">
                            <?php if(!empty($image)) {
                                $img = ct_get_image_by_size( array(
                                    'attach_id'  => $image['id'],
                                    'thumb_size' => $img_size,
                                ));
                                $thumbnail = $img['thumbnail'];
                                ?>
                                <div class="item--image">
                                    <?php if ( ! empty( $item_link['url'] ) ) { ?><a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                                        <?php echo wp_kses_post($thumbnail); ?>    
                                    <?php if ( ! empty( $item_link['url'] ) ) { ?></a><?php } ?>
                                </div>
                            <?php } ?>
                            <div class="item-holder">
                                <div class="entry-content">
                                    <?php if(!empty($title)) { ?>
                                        <h3 class="item--title">    
                                            <?php if ( ! empty( $item_link['url'] ) ) { ?><a <?php echo implode( ' ', [ $link_attributes ] ); ?>><?php } ?>
                                                <?php echo ct_print_html($title); ?>
                                            <?php if ( ! empty( $item_link['url'] ) ) { ?></a><?php } ?>
                                        </h3>
                                    <?php } ?>
                                    <?php if(!empty($desc)) { ?>
                                        <div class="item--description">
                                            <?php echo ct_print_html($desc); ?>
                                        </div>
                                    <?php } ?>
                                   <?php if ( !empty( $item_link['url'] ) || !empty($btn_text) ) { ?>
                                        <a class="btn-fcb" <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                                            <?php echo ct_print_html($btn_text); ?><i>+</i>
                                        </a>
                                    <?php } ?>
                                </div>
                            </div>
                       </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php endif; ?>
